package app

import (
	"context"
	proto "evening_detective/proto"

	"google.golang.org/grpc/codes"
	"google.golang.org/grpc/status"
)

type Server struct {
	proto.UnimplementedEveningDetectiveServer
}

func NewServer() *Server {
	return &Server{}
}

func (s *Server) Ping(_ context.Context, _ *proto.PingReq) (*proto.PingRsp, error) {
	return &proto.PingRsp{}, nil
}

func (s *Server) AddTeams(context.Context, *proto.AddTeamsReq) (*proto.AddTeamsRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddTeams not implemented")
}

func (s *Server) GetTeams(context.Context, *proto.GetTeamsReq) (*proto.GetTeamsRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTeams not implemented")
}

func (s *Server) DeleteTeams(context.Context, *proto.DeleteTeamsReq) (*proto.DeleteTeamsRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTeams not implemented")
}

func (s *Server) AddAction(context.Context, *proto.AddActionReq) (*proto.AddActionRsp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddAction not implemented")
}
